#
# spec file for package uudeview
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           uudeview
BuildRequires:  autoconf
BuildRequires:  mininews
BuildRequires:  postfix
BuildRequires:  tk-devel
BuildRequires:  xorg-x11-devel
Url:            http://www.fpx.de/fp/Software/UUDeview
Provides:       sharutils:/usr/bin/uudeview
Version:        0.5.20
Release:        258.32
Summary:        The Nice and Friendly Decoder
License:        GPL-2.0+
Group:          Productivity/Networking/News/Utilities
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The UUDeview package contains a very smart decoder and an encoder for
Base64 (MIME), uuencoded, xxencoded, Binhex, and yEnc files. Its
ultimate goal is to fully replace the "standard", but dumb uudecode and
uuencode utilities.

%prep
%setup -q 
%patch0

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS -DUSE_NON_CONST" \
./configure --prefix=%_prefix \
	--libdir=%_libdir \
	--disable-minews \
	--enable-tcl=%_libdir \
	--enable-tk=%_libdir
make

%install
make prefix=%buildroot%_prefix MANDIR=%buildroot%_mandir install
mkdir -p %buildroot%_libdir
mkdir -p %buildroot%_includedir
cp -pf uulib/libuu.a %buildroot%_libdir
cp -pf uulib/uudeview.h %buildroot%_includedir

%clean
test $RPM_BUILD_ROOT -ef / || rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/lib*
%_includedir/*
/usr/bin/uudeview
/usr/bin/uuenview
/usr/bin/uuwish
/usr/bin/xdeview
%doc HISTORY README 
%doc %{_mandir}/man1/uudeview.1.gz
%doc %{_mandir}/man1/uuenview.1.gz
%doc %{_mandir}/man1/xdeview.1.gz

%changelog
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Tue May 20 2008 max@suse.de
- Use exclusive flag when opening temporary files to make tempnam
  and tmpnam safe (bnc#390106, CVE-2008-2266).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Tue Oct  5 2004 max@suse.de
- Removed the part of the patch that changed uulib/uuscan.c because
  it I couldn't find out what it was supposed to fix, and it caused
  an endless loop when decoding certain files. [Bug #46777]
* Fri Mar 26 2004 ro@suse.de
- added postfix to neededforbuild
* Mon Mar 22 2004 max@suse.de
- Fixed a problem with insecure temp file handling (Bug #35996).
- Added -DUSE_NON_CONST to CFLAGS to prevent warnings with Tcl 8.4.
* Wed Mar  3 2004 max@suse.de
- New version: 0.5.20 - fixes a buffer overflow problem.
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Wed Jul 23 2003 max@suse.de
- Added tk-devel to neededforbuild.
* Thu Jun 12 2003 kukuk@suse.de
- Fix filelist
* Sat Oct 19 2002 olh@suse.de
- provide libuu.a, for tin
* Tue Jul  2 2002 max@suse.de
- re-added mininews to neededforbuild
* Tue Jul  2 2002 ro@suse.de
- added split provides
* Tue Jul  2 2002 max@suse.de
- Split off from the sharutils package.
- New version: 0.5.18 .
- Now also supports yEnc encoding.
